## imcode.util
Class ArraySet<T>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<T>
              imcode.util.ArraySet<T>

All Implemented Interfaces:
  java.lang.Iterable<T>, java.util.Collection<T>, java.util.Set<T>

    public class ArraySet<T>

extends java.util.AbstractSet<T>

Constructor Summary
`ArraySet(java.lang.Object[] array)`

Method Summary
`java.util.Iterator<T>` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### ArraySet

    public ArraySet(java.lang.Object[] array)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<T>`
  Specified by:
    `size` in interface `java.util.Set<T>`
  Specified by:
    `size` in class `java.util.AbstractCollection<T>`

### iterator

    public java.util.Iterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T>`
  Specified by:
    `iterator` in interface `java.util.Collection<T>`
  Specified by:
    `iterator` in interface `java.util.Set<T>`
  Specified by:
    `iterator` in class `java.util.AbstractCollection<T>`